All Apps and Add-ons

Not able connect to netapp filer

nsiva23
Explorer

Hi

I am trying to connect netapp filer using splunk netapp appp for collection. I am getting following error while connecting "error: 'NoneType' object has no attribute 'text'".

ERROR [TAOntapConfService] [_validate_ontap_server] Could not interact with ontap on host= xx.xx.xx.xx, error: 'NoneType' object has no attribute 'text'
None
INFO [TAOntapConfService] [_validate_ontap_server] successfully updated stanza=uigen:1381433375:90 credential_validation=False connection_validation=False per_target_credential_validation=['Invalid'] per_target_connection_validation=['Invalid']

Can you please help me how to fix this issue.

nsiva23
Explorer

Thanks for the reply. I was connecting to the filer running on ONTAP 7.2.3. But that version is not supported by splunk. It worked fine when i tried to connect to ONTAP 8.2 version.

Only issue which i see was , Splunk is not returning right error message like " ONTAP version not supported" Instead it throws some other wrong message.

0 Karma

tfletcher_splun
Splunk Employee
Splunk Employee

Yup we have confirmed that and are fixing the error message for the next release.

0 Karma

tfletcher_splun
Splunk Employee
Splunk Employee

This error is the result of the a call made by the configuration service to validate a particular URI is a valid filer. The error message is atrocious, but not a bug in the code. The filer in question is not responding properly to the API request to the system-get-ontapi-version endpoint. I have sent a note to the development team about clarifying the error message.

In terms of actually solving your issue I would check that your URI and your credentials are correct and that the version of ontap you are interacting with is supported by Splunk App for NetApp Data ONTAP.

harishmeetsu
Explorer

But looks like it is not still fixed? I used splunk app for netapp 2.1.4 which displayed the same message when connecting to Ontap version 7.3.3 (unsupported by splunk as per documentation)

0 Karma

rechteklebe
Path Finder
  1. Your Data collection node have an installed python version?
  2. On your "Ontap collection configuration". Are the Validations in a "valid" or "invalid" mode?
0 Karma
Get Updates on the Splunk Community!

Splunk Education - Fast Start Program!

Welcome to Splunk Education! Splunk training programs are designed to enable you to get started quickly and ...

Five Subtly Different Ways of Adding Manual Instrumentation in Java

You can find the code of this example on GitHub here. Please feel free to star the repository to keep in ...

New Splunk APM Enhancements Help Troubleshoot Your MySQL and NoSQL Databases Faster

Splunk Observability has two new enhancements to make it quicker and easier to troubleshoot slow or frequently ...